SOURCES: rpm-hrmib-cache (NEW) - http://osdir.com/ml/linux.redhat....

glen glen at pld-linux.org
Wed Feb 20 17:29:36 CET 2008


Author: glen                         Date: Wed Feb 20 16:29:36 2008 GMT
Module: SOURCES                       Tag: HEAD
---- Log message:
- http://osdir.com/ml/linux.redhat.rpm.devel/2006-09/msg00070.html

---- Files affected:
SOURCES:
   rpm-hrmib-cache (NONE -> 1.1)  (NEW)

---- Diffs:

================================================================
Index: SOURCES/rpm-hrmib-cache
diff -u /dev/null SOURCES/rpm-hrmib-cache:1.1
--- /dev/null	Wed Feb 20 17:29:36 2008
+++ SOURCES/rpm-hrmib-cache	Wed Feb 20 17:29:31 2008
@@ -0,0 +1,16 @@
+#!/bin/sh
+mydir=/var/cache/hrmib
+mkdir -p $mydir || exit 1
+rm -f $mydir/*
+
+rpm -qa --qf '%{name}-%{version}-%{release}.%{arch} %{installtime:date}\n' | \
+while read nvra idate ; do
+   case $nvra in
+   gpg-pubkey-*)
+        ;;
+   *)
+        touch -d "`echo $idate`" $mydir/$nvra
+        ;;
+   esac
+done
+touch $mydir
================================================================


More information about the pld-cvs-commit mailing list